Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | Public Attributes | List of all members
Botan::PKCS11::MechanismWrapper::MechanismParameters Union Reference

Holds the mechanism parameters for OAEP, PSS and ECDH. More...

`#include <p11_mechanism.h>`

## Public Member Functions
| MechanismParameters ()

## Public Attributes
Ecdh1DeriveParams | ecdh_params
RsaPkcsOaepParams | oaep_params
RsaPkcsPssParams | pss_params

## Detailed Description

Holds the mechanism parameters for OAEP, PSS and ECDH.

Definition at line 96 of file p11_mechanism.h.

## Constructor & Destructor Documentation

## ◆ MechanismParameters()

Botan::PKCS11::MechanismWrapper::MechanismParameters::MechanismParameters | ( |  | ) |
| inline

Definition at line 98 of file p11_mechanism.h.

99 {
100 clear_mem(this, 1);
101 }
Botan::clear_mem
void clear_mem(T *ptr, size_t n)
Definition: mem_ops.h:115

References Botan::clear_mem().

## Member Data Documentation

## ◆ ecdh_params

Ecdh1DeriveParams Botan::PKCS11::MechanismWrapper::MechanismParameters::ecdh_params

Definition at line 105 of file p11_mechanism.h.

## ◆ oaep_params

RsaPkcsOaepParams Botan::PKCS11::MechanismWrapper::MechanismParameters::oaep_params

Definition at line 103 of file p11_mechanism.h.

## ◆ pss_params

RsaPkcsPssParams Botan::PKCS11::MechanismWrapper::MechanismParameters::pss_params

Definition at line 104 of file p11_mechanism.h.

The documentation for this union was generated from the following file:

- src/lib/prov/pkcs11/p11_mechanism.h